" plugins: airline
let g:bufferline_echo = 0
let g:airline_powerline_fonts = 1
let g:airline#extensions#tabline#enabled = 1
let g:airline#extensions#coc#enabled = 1

au BufWrite * :Autoformat
" let g:autoformat_verbosemode=1

" searching
let $FZF_DEFAULT_COMMAND = 'rga --files --no-messages "" .'
set grepprg=rga\ --vimgrep
let g:fzf_command_prefix = 'Fzf'
command! -bang -nargs=* Find call fzf#vim#grep('rga --column --line-number --no-heading --fixed-strings --ignore-case --no-ignore --hidden --follow --glob "!.git/*" --color "always" '.shellescape(<q-args>), 1, <bang>0)
let g:ctrlp_show_hidden = 1
let g:ctrlp_user_command = 'rga %s --files --hidden --color=never --glob ""'

" rainbow
let g:rainbow_active = 1

" coc
set shortmess+=c
set signcolumn=yes

" ack
let g:ackprg = 'rg --vimgrep --smart-case'
let g:ack_autoclose = 1
let g:ack_use_cword_for_empty_search = 1


lua << EOF
-- disable netrw at the very start of your init.lua
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- set termguicolors to enable highlight groups
vim.opt.termguicolors = true

-- OR setup with some options
require("nvim-tree").setup({
sort_by = "case_sensitive",
view = {
    width = 30,
    },
    renderer = {
        group_empty = true,
        },
        filters = {
            dotfiles = true,
            },
})
EOF


